{
  name: "Sleep Sentinel",
  rating: 3,
  num: -2004,
  flags: {},
  onDamagingHit(damage, target, source, move) {
    if (!source || !move) return;
    if (target.status !== "slp") return;
    if (!move.flags || !move.flags.contact) return;
    this.add("-ability", target, "Sleep Sentinel");
    this.damage(this.clampIntRange(Math.floor(source.baseMaxhp / 8), 1), source, target);
  }
}
